WMF(1)

NAME
wmf - convert and index mails in html format.

SYNOPSIS
wmf [ options ]

DESCRIPTION
WMF (Web Mail Folder) generates html-pages from email. Source can be a file or stdin.

OPTIONS
Available command line options are the following:

-?  Print a summary of command line options.

-a url
    About link. If this link presents it will be placed to the index section.

-c file
    Another configurationfile (default ~/.wmfrc)

-d directory
    Where all the files write to (default ./)

-e command
    Mail-command (default MAILTO:)

-f permission
    Set file permission after creation. Numeric mode only like chown (1)

-h  Print a summary of command line options.

-l days
    Daylimit, mails older then <days> day won't be listed in the indexes. 0 = no limit (default=0).

-m mbox
    Name of the mailbox file, - is used for stdin.

-n name
    Name of the mail folder.

-p lines
    Lines / page index. 0 = only one page (default 0). Threads won't be brocken.

-r  Reverse sorting.

-t level
    threading level limitation

-v  Print the programname and the version.

-w mode
    Write-mode (0=indexing 1=overwrite 2=append 3=append no index). Mode 0: If you made changes manual or anything went wrong until indexing. Mode 1: If you want to start from scratch witch one big mbox file. Warning: All files in the directory will be deleted !!! Mode 2: If you want to extend an existing archive. Mode 3: Specialy made if you need to convert emails stored in single files. After converting all files you can call WMF again in Mode 0 for indexing.

-x level
    Debug level (Bit0=Functions Bit1=Information Bit2=Fileoperations)

ENVIROMENT
All switches can be defined with enviroments.

WMF_CONFIG
    Another configurationfile (default ~/.wmfrc)

WMF_DAYS
    Daylimit, mails older then <days> day won't be listed in the indexes. 0 = no limit (default=0)

WMF_DEBUG
    Debug level (Bit0=Functions Bit1=Information Bit2=Fileoperations)

WMF_EXTENSION
    Define the file extension (default=".html").

WMF_DIR
    Where all the files write to (default ./)

WMF_LINES
    Lines / page index. 0 = only one page (default 0) Threads won't be brocken.

WMF_MBOX
    Name of the mailbox, - is used for stdin

WMF_MCMD
    Mail-command (default MAILTO:)

WMF_NAME
    Name of the mailinglist

WMF_RSORT
    Reverse sorting

WMF_WMODE
    Write-mode (0=indexing 1=append 2=overwrite)

EXAMPLES

AUTHOR
Norbert Kuemin <norbert.kuemin@gmx.net>

FILES
~/.wmfrc

SEE ALSO
wmfrc (1), procmail (1)

NOTES
Thanks to all the people, who sent emails with bug-reports and suggestions.

BUGS
There will always rest one bug (Murphys law). If you find it, so please
report it to Norbert.Kuemin@gmx.net

COPYRIGHT
Copyright 1996, 1997 by Norbert Kuemin.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.